> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/bvn-verification/bvn.md).

# BVN 2.0 + (Face Validation)

{% hint style="info" %}
Test Data:&#x20;

&#x20;      bvn: 54651333604

image: <https://www.biography.com/.image/c_fill%2Ccs_srgb%2Cfl_progressive%2Ch_400%2Cq_auto:good%2Cw_620/MTY2MzU3Nzk2OTM2MjMwNTkx/elon_musk_royal_society.jpg>
{% endhint %}

## Verify user's BVN&#x20;

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/bvn_w_face`

#### Query Parameters

| Name   | Type   | Description                |
| ------ | ------ | -------------------------- |
| number | string | bank verification number   |
| image  | string | image url(png,jpeg,base64) |

#### Headers

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| x-api-key | string | \<your secret key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": true,
    "detail": "Verification Successfull",
    "face_data": {
        "status": true,
        "message": "Face Match"
    },
    "bvn_data": {
        "firstName": "",
        "middleName": "",
        "lastName": "",
        "dateOfBirth": "",
        "phoneNumber1": "",
        "phoneNumber2": "",
        "registrationDate": "",
        "enrollmentBank": "",
        "enrollmentBranch": "",
        "email": "",
        "gender": "",
        "levelOfAccount": "",
        "lgaOfOrigin": "",
        "lgaOfResidence": "",
        "maritalStatus": "",
        "nin": "",
        "nameOnCard": "",
        "nationality": "",
        "residentialAddress": "",
        "stateOfOrigin": "",
        "stateOfResidence": "",
        "title": "",
        "watchListed": "",
        "bvn": "",
        "base64Image": "user image(base64 format)"
        }
}
```

{% endtab %}
{% endtabs %}
